MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025893Open CASCADE[OCCT] OCCT:Visualizationpublic2015-03-05 10:532015-05-14 16:30
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025893: Visualization, TKOpenGl - do not use uninitialized memory to track Clipping Planes state
DescriptionWithin current code of OpenGl_View::Render(), the clipping planes are managed in weird way:
    for (Standard_Integer aClipPlaneId = aOldPlanes.Lower(); aClipPlaneId <= aOldPlanes.Upper(); ++aClipPlaneId)
    
{
      OPENGL_CLIP_PLANE& aPlane = aOldPlanes.ChangeValue (aClipPlaneId);
      aContext->core11->glGetClipPlane (aClipPlaneId, aPlane.Equation);
      if (aPlane.isEnabled)

while plane equation is retrieved from context, enabled state is not (moreover if MMGT_CLEAR will be set to false the flag will be uninitialized).
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0039276)
git (administrator)
2015-04-06 18:25

Branch CR25893 has been created by isk.

SHA-1: 51695bf3af8a688140baf71053df23436147ea9e


Detailed log of new commits:

Author: isk
Date: Mon Apr 6 18:25:04 2015 +0300

    0025893: Visualization, TKOpenGl - do not use uninitialized memory to track Clipping Planes state
(0039281)
kgv (developer)
2015-04-06 21:56

It is suggested to drop code for retrieving and restoring clipping planes from context and keep only disabling.
(0039285)
git (administrator)
2015-04-07 10:04

Branch CR25893 has been updated by isk.

SHA-1: cbb8ac83b41a7e60027da91176429b0fdc26e6ba


Detailed log of new commits:

Author: isk
Date: Tue Apr 7 10:04:17 2015 +0300

    Drop code for retrieving and restoring clipping planes

(0039288)
git (administrator)
2015-04-07 10:58

Branch CR25893_1 has been created by isk.

SHA-1: 90ffaf68b8f465decb41139b97bff2241dbf9a36


Detailed log of new commits:

Author: isk
Date: Tue Apr 7 10:57:48 2015 +0300

    0025893: Visualization, TKOpenGl - do not use uninitialized memory to track Clipping Planes state
(0039289)
git (administrator)
2015-04-07 11:15

Branch CR25893_2 has been created by isk.

SHA-1: dd057ead1ac4dc4cdcb940f43ee9ad6076f926ef


Detailed log of new commits:

Author: isk
Date: Tue Apr 7 11:14:57 2015 +0300

    0025893: Visualization, TKOpenGl - do not use uninitialized memory to track Clipping Planes state
(0039292)
kgv (developer)
2015-04-07 11:30

Please test the patch in branch CR25893_2.
(0039384)
git (administrator)
2015-04-08 18:29

Branch CR25893_2 has been updated forcibly by apv.

SHA-1: 4bd5d9d86e2954ba00a7404b5a46a6a978813ea5
(0039385)
apv (tester)
2015-04-08 18:30

Branch CR25893_2 has been rebased on the current master
(0039585)
apv (tester)
2015-04-10 15:37

Dear BugMaster,

Branch CR25893_2 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 4bd5d9d86e2954ba00a7404b5a46a6a978813ea5

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 93718510 / 93951977 [-0.25%]
Total CPU difference: 54592.32999999897 / 52005.719999999616 [+4.97%]

Testing on Windows:
Total MEMORY difference: 57065540 / 57074762 [-0.02%]
Total CPU difference: 16163.232409798904 / 16635.463036899022 [-2.84%]
(0041016)
git (administrator)
2015-05-14 16:30

Branch CR25893 has been deleted by inv.

SHA-1: cbb8ac83b41a7e60027da91176429b0fdc26e6ba
(0041017)
git (administrator)
2015-05-14 16:30

Branch CR25893_1 has been deleted by inv.

SHA-1: 90ffaf68b8f465decb41139b97bff2241dbf9a36
(0041018)
git (administrator)
2015-05-14 16:30

Branch CR25893_2 has been deleted by inv.

SHA-1: 4bd5d9d86e2954ba00a7404b5a46a6a978813ea5

- Related Changesets
occt: master 42f8ba56
Timestamp: 2015-04-07 08:14:57
Author: isk
Committer: bugmaster
Details ] Diff ]
0025893: Visualization, TKOpenGl - do not use uninitialized memory to track Clipping Planes state
mod - src/OpenGl/OpenGl_View_2.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-05 10:53 kgv New Issue
2015-03-05 10:53 kgv Assigned To => kgv
2015-03-05 10:56 kgv Product Version 6.8.0 => 6.5.4
2015-04-06 13:56 kgv Assigned To kgv => isk
2015-04-06 13:56 kgv Status new => assigned
2015-04-06 18:25 git Note Added: 0039276
2015-04-06 21:56 kgv Note Added: 0039281
2015-04-07 10:04 git Note Added: 0039285
2015-04-07 10:42 isk Assigned To isk => kgv
2015-04-07 10:42 isk Status assigned => resolved
2015-04-07 10:42 isk Steps to Reproduce Updated View Revisions
2015-04-07 10:58 git Note Added: 0039288
2015-04-07 11:15 git Note Added: 0039289
2015-04-07 11:30 kgv Note Added: 0039292
2015-04-07 11:30 kgv Assigned To kgv => bugmaster
2015-04-07 11:30 kgv Status resolved => reviewed
2015-04-08 17:05 apv Assigned To bugmaster => apv
2015-04-08 18:29 git Note Added: 0039384
2015-04-08 18:30 apv Note Added: 0039385
2015-04-10 15:35 apv Test case number => Not needed
2015-04-10 15:37 apv Note Added: 0039585
2015-04-10 15:37 apv Assigned To apv => bugmaster
2015-04-10 15:37 apv Status reviewed => tested
2015-04-17 15:40 bugmaster Changeset attached => occt master 42f8ba56
2015-04-17 15:40 bugmaster Status tested => verified
2015-04-17 15:40 bugmaster Resolution open => fixed
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0
2015-05-14 16:30 git Note Added: 0041016
2015-05-14 16:30 git Note Added: 0041017
2015-05-14 16:30 git Note Added: 0041018


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker